Bug 198524 - Incorrect comment in /usr/include/bits/fcntl.h
Incorrect comment in /usr/include/bits/fcntl.h
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-11 12:31 EDT by Andrew Benham
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-25 21:21:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Benham 2006-07-11 12:31:55 EDT
From glibc-headers-2.3.4-2.19 on RedHat EL.4, but same defect present
on all RedHat/Fedora machines I've looked on.

Lines 99 & 100 of /usr/include/bits/fcntl.h state:

/* For F_[GET|SET]FL.  */
#define FD_CLOEXEC      1       /* actually anything with low bit set goes */

However FD_CLOEXEC is used with F_[GET|SET]FD and NOT with F_[GET|SET]FL
Comment 1 Ulrich Drepper 2006-07-25 21:21:11 EDT
I fixed it upstream but this is hardly worth including in an update release.

Note You need to log in before you can comment on or make changes to this bug.